main

# Class: FPDF Source Location: /lib/fpdf.php
### Class Overview
| ### Variables $AliasNbPages $author $AutoPageBreak $bMargin $buffer $cMargin $ColorFlag $compress $CoreFonts $creator $CurOrientation $CurPageSize $CurrentFont $DefOrientation $DefPageSize $diffs $DrawColor $FillColor $FontFamily $FontFiles $fontpath $fonts $FontSize $FontSizePt $FontStyle $h $hPt $images $InFooter $InHeader $k $keywords $lasth $LayoutMode $LineWidth $links $lMargin $n $offsets $page $PageBreakTrigger $PageLinks $pages $PageSizes $PDFVersion $rMargin $state $StdPageSizes $subject $TextColor $title $tMargin $underline $w $wPt $ws $x $y $ZoomMode | ### Methods FPDF AcceptPageBreak AddFont AddLink AddPage AliasNbPages Cell Close Error Footer GetStringWidth GetX GetY Header Image Line Link Ln MultiCell Open Output PageNo Rect SetAuthor SetAutoPageBreak SetCompression SetCreator SetDisplayMode SetDrawColor SetFillColor SetFont SetFontSize SetKeywords SetLeftMargin SetLineWidth SetLink SetMargins SetRightMargin SetSubject SetTextColor SetTitle SetTopMargin SetX SetXY SetY Text Write _beginpage _checkoutput _dochecks _dounderline _enddoc _endpage _escape _getpagesize _loadfont _newobj _out _parsegif _parsejpg _parsepng _parsepngstream _putcatalog _putfonts _putheader _putimage _putimages _putinfo _putpages _putresourcedict _putresources _putstream _puttrailer _putxobjectdict _readint _readstream _textstring _UTF8toUTF16
### Child classes: UFPDF Main UFPDF class for creating Unicode PDF documents
### Class Details [line 12] [ Top ] ### Class Variables #### $AliasNbPages = [line 68]
Type: | mixed
[ Top ] #### $author = [line 65]
Type: | mixed
[ Top ] #### $AutoPageBreak = [line 57]
Type: | mixed
[ Top ] #### $bMargin = [line 33]
Type: | mixed
[ Top ] #### $buffer = [line 17]
Type: | mixed
[ Top ] #### $cMargin = [line 34]
Type: | mixed
[ Top ] #### $ColorFlag = [line 52]
Type: | mixed
[ Top ] #### $compress = [line 20]
Type: | mixed
[ Top ] #### $CoreFonts = [line 39]
Type: | mixed
[ Top ] #### $creator = [line 67]
Type: | mixed
[ Top ] #### $CurOrientation = [line 23]
Type: | mixed
[ Top ] #### $CurPageSize = [line 26]
Type: | mixed
[ Top ] #### $CurrentFont = [line 46]
Type: | mixed
[ Top ] #### $DefOrientation = [line 22]
Type: | mixed
[ Top ] #### $DefPageSize = [line 25]
Type: | mixed
[ Top ] #### $diffs = [line 42]
Type: | mixed
[ Top ] #### $DrawColor = [line 49]
Type: | mixed
[ Top ] #### $FillColor = [line 50]
Type: | mixed
[ Top ] #### $FontFamily = [line 43]
Type: | mixed
[ Top ] #### $FontFiles = [line 41]
Type: | mixed
[ Top ] #### $fontpath = [line 38]
Type: | mixed
[ Top ] #### $fonts = [line 40]
Type: | mixed
[ Top ] #### $FontSize = [line 48]
Type: | mixed
[ Top ] #### $FontSizePt = [line 47]
Type: | mixed
[ Top ] #### $FontStyle = [line 44]
Type: | mixed
[ Top ] #### $h = [line 29]
Type: | mixed
[ Top ] #### $hPt = [line 28]
Type: | mixed
[ Top ] #### $images = [line 54]
Type: | mixed
[ Top ] #### $InFooter = [line 60]
Type: | mixed
[ Top ] #### $InHeader = [line 59]
Type: | mixed
[ Top ] #### $k = [line 21]
Type: | mixed
[ Top ] #### $keywords = [line 66]
Type: | mixed
[ Top ] #### $lasth = [line 36]
Type: | mixed
[ Top ] #### $LayoutMode = [line 62]
Type: | mixed
[ Top ] #### $LineWidth = [line 37]
Type: | mixed
[ Top ] #### $links = [line 56]
Type: | mixed
[ Top ] #### $lMargin = [line 30]
Type: | mixed
[ Top ] #### $n = [line 15]
Type: | mixed
[ Top ] #### $offsets = [line 16]
Type: | mixed
[ Top ] #### $page = [line 14]
Type: | mixed
[ Top ] #### $PageBreakTrigger = [line 58]
Type: | mixed
[ Top ] #### $PageLinks = [line 55]
Type: | mixed
[ Top ] #### $pages = [line 18]
Type: | mixed
[ Top ] #### $PageSizes = [line 27]
Type: | mixed
[ Top ] #### $PDFVersion = [line 69]
Type: | mixed
[ Top ] #### $rMargin = [line 32]
Type: | mixed
[ Top ] #### $state = [line 19]
Type: | mixed
[ Top ] #### $StdPageSizes = [line 24]
Type: | mixed
[ Top ] #### $subject = [line 64]
Type: | mixed
[ Top ] #### $TextColor = [line 51]
Type: | mixed
[ Top ] #### $title = [line 63]
Type: | mixed
[ Top ] #### $tMargin = [line 31]
Type: | mixed
[ Top ] #### $underline = [line 45]
Type: | mixed
[ Top ] #### $w = [line 29]
Type: | mixed
[ Top ] #### $wPt = [line 28]
Type: | mixed
[ Top ] #### $ws = [line 53]
Type: | mixed
[ Top ] #### $x = [line 35]
Type: | mixed
[ Top ] #### $y = [line 35]
Type: | mixed
[ Top ] #### $ZoomMode = [line 61]
Type: | mixed
[ Top ] ### Class Methods ### constructor FPDF [line 76]
`FPDF FPDF( [ $orientation = 'P'], [ $unit = 'mm'], [ $size = 'A4'])`
***************************************************************************** * Public methods * * ***************************************************************************** #### Parameters:
| $orientation |
| $unit |
| $size |
[ Top ] ### method AcceptPageBreak [line 593]
`void AcceptPageBreak( )`
Overridden in child classes as: UFPDF::AcceptPageBreak() [ Top ] ### method AddFont [line 461]
`void AddFont( $family, [ $style = ''], [ $file = ''])`
Overridden in child classes as: UFPDF::AddFont() #### Parameters:
| $family |
| $style |
| $file |
[ Top ] ### method AddLink [line 558]
`void AddLink( )`
[ Top ] ### method AddPage [line 305]
`void AddPage( [ $orientation = ''], [ $size = ''])`
#### Parameters:
| $orientation |
| $size |
[ Top ] ### method AliasNbPages [line 270]
`void AliasNbPages( [ $alias = '{nb}'])`
Overridden in child classes as: UFPDF::AliasNbPages() #### Parameters:
| $alias |
[ Top ] ### method Cell [line 599]
`void Cell( $w, [ $h = 0], [ $txt = ''], [ $border = 0], [ $ln = 0], [ $align = ''], [ $fill = false], [ $link = ''])`
Overridden in child classes as: UFPDF::Cell() #### Parameters:
| $w |
| $h |
| $txt |
| $border |
| $ln |
| $align |
| $fill |
| $link |
[ Top ] ### method Close [line 288]
`void Close( )`
[ Top ] ### method Error [line 276]
`void Error( $msg)`
#### Parameters:
| $msg |
[ Top ] ### method Footer [line 379]
`void Footer( )`
[ Top ] ### method GetStringWidth [line 423]
`void GetStringWidth( $s)`
Overridden in child classes as: UFPDF::GetStringWidth() #### Parameters:
| $s |
[ Top ] ### method GetX [line 945]
`void GetX( )`
[ Top ] ### method GetY [line 960]
`void GetY( )`
[ Top ] ### method Header [line 374]
`void Header( )`
[ Top ] ### method Image [line 882]
`void Image( $file, [ $x = null], [ $y = null], [ $w = 0], [ $h = 0], [ $type = ''], [ $link = ''])`
#### Parameters:
| $file |
| $x |
| $y |
| $w |
| $h |
| $type |
| $link |
[ Top ] ### method Line [line 443]
`void Line( $x1, $y1, $x2, $y2)`
#### Parameters:
| $x1 |
| $y1 |
| $x2 |
| $y2 |
[ Top ] ### method Link [line 576]
`void Link( $x, $y, $w, $h, $link)`
#### Parameters:
| $x |
| $y |
| $w |
| $h |
| $link |
[ Top ] ### method Ln [line 872]
`void Ln( [ $h = null])`
#### Parameters:
| $h |
[ Top ] ### method MultiCell [line 678]
`void MultiCell( $w, $h, $txt, [ $border = 0], [ $align = 'J'], [ $fill = false])`
Overridden in child classes as: UFPDF::MultiCell() #### Parameters:
| $w |
| $h |
| $txt |
| $border |
| $align |
| $fill |
[ Top ] ### method Open [line 282]
`void Open( )`
[ Top ] ### method Output [line 983]
`void Output( [ $name = ''], [ $dest = ''])`
#### Parameters:
| $name |
| $dest |
[ Top ] ### method PageNo [line 384]
`void PageNo( )`
[ Top ] ### method Rect [line 449]
`void Rect( $x, $y, $w, $h, [ $style = ''])`
#### Parameters:
| $x |
| $y |
| $w |
| $h |
| $style |
[ Top ] ### method SetAuthor [line 246]
`void SetAuthor( $author, [ $isUTF8 = false])`
#### Parameters:
| $author |
| $isUTF8 |
[ Top ] ### method SetAutoPageBreak [line 200]
`void SetAutoPageBreak( $auto, [ $margin = 0])`
#### Parameters:
| $auto |
| $margin |
[ Top ] ### method SetCompression [line 221]
`void SetCompression( $compress)`
#### Parameters:
| $compress |
[ Top ] ### method SetCreator [line 262]
`void SetCreator( $creator, [ $isUTF8 = false])`
#### Parameters:
| $creator |
| $isUTF8 |
[ Top ] ### method SetDisplayMode [line 208]
`void SetDisplayMode( $zoom, [ $layout = 'default'])`
#### Parameters:
| $zoom |
| $layout |
[ Top ] ### method SetDrawColor [line 390]
`void SetDrawColor( $r, [ $g = null], [ $b = null])`
#### Parameters:
| $r |
| $g |
| $b |
[ Top ] ### method SetFillColor [line 401]
`void SetFillColor( $r, [ $g = null], [ $b = null])`
#### Parameters:
| $r |
| $g |
| $b |
[ Top ] ### method SetFont [line 497]
`void SetFont( $family, [ $style = ''], [ $size = 0])`
#### Parameters:
| $family |
| $style |
| $size |
[ Top ] ### method SetFontSize [line 547]
`void SetFontSize( $size)`
#### Parameters:
| $size |
[ Top ] ### method SetKeywords [line 254]
`void SetKeywords( $keywords, [ $isUTF8 = false])`
#### Parameters:
| $keywords |
| $isUTF8 |
[ Top ] ### method SetLeftMargin [line 180]
`void SetLeftMargin( $margin)`
#### Parameters:
| $margin |
[ Top ] ### method SetLineWidth [line 435]
`void SetLineWidth( $width)`
#### Parameters:
| $width |
[ Top ] ### method SetLink [line 566]
`void SetLink( $link, [ $y = 0], [ $page = -1])`
#### Parameters:
| $link |
| $y |
| $page |
[ Top ] ### method SetMargins [line 170]
`void SetMargins( $left, $top, [ $right = null])`
#### Parameters:
| $left |
| $top |
| $right |
[ Top ] ### method SetRightMargin [line 194]
`void SetRightMargin( $margin)`
#### Parameters:
| $margin |
[ Top ] ### method SetSubject [line 238]
`void SetSubject( $subject, [ $isUTF8 = false])`
#### Parameters:
| $subject |
| $isUTF8 |
[ Top ] ### method SetTextColor [line 413]
`void SetTextColor( $r, [ $g = null], [ $b = null])`
#### Parameters:
| $r |
| $g |
| $b |
[ Top ] ### method SetTitle [line 230]
`void SetTitle( $title, [ $isUTF8 = false])`
#### Parameters:
| $title |
| $isUTF8 |
[ Top ] ### method SetTopMargin [line 188]
`void SetTopMargin( $margin)`
#### Parameters:
| $margin |
[ Top ] ### method SetX [line 951]
`void SetX( $x)`
#### Parameters:
| $x |
[ Top ] ### method SetXY [line 976]
`void SetXY( $x, $y)`
#### Parameters:
| $x |
| $y |
[ Top ] ### method SetY [line 966]
`void SetY( $y)`
#### Parameters:
| $y |
[ Top ] ### method Text [line 582]
`void Text( $x, $y, $txt)`
Overridden in child classes as: UFPDF::Text() #### Parameters:
| $x |
| $y |
| $txt |
[ Top ] ### method Write [line 791]
`void Write( $h, $txt, [ $link = ''])`
Overridden in child classes as: UFPDF::Write() #### Parameters:
| $h |
| $txt |
| $link |
[ Top ] ### method _beginpage [line 1097]
`void _beginpage( $orientation, $size)`
#### Parameters:
| $orientation |
| $size |
[ Top ] ### method _checkoutput [line 1058]
`void _checkoutput( )`
[ Top ] ### method _dochecks [line 1045]
`void _dochecks( )`
***************************************************************************** * Protected methods * * ***************************************************************************** [ Top ] ### method _dounderline [line 1201]
`void _dounderline( $x, $y, $txt)`
#### Parameters:
| $x |
| $y |
| $txt |
[ Top ] ### method _enddoc [line 1760]
`void _enddoc( )`
[ Top ] ### method _endpage [line 1137]
`void _endpage( )`
[ Top ] ### method _escape [line 1152]
`void _escape( $s)`
#### Parameters:
| $s |
[ Top ] ### method _getpagesize [line 1078]
`void _getpagesize( $size)`
#### Parameters:
| $size |
[ Top ] ### method _loadfont [line 1142]
`void _loadfont( $font)`
#### Parameters:
| $font |
[ Top ] ### method _newobj [line 1428]
`void _newobj( )`
[ Top ] ### method _out [line 1443]
`void _out( $s)`
#### Parameters:
| $s |
[ Top ] ### method _parsegif [line 1389]
`void _parsegif( $file)`
#### Parameters:
| $file |
[ Top ] ### method _parsejpg [line 1210]
`void _parsejpg( $file)`
#### Parameters:
| $file |
[ Top ] ### method _parsepng [line 1229]
`void _parsepng( $file)`
#### Parameters:
| $file |
[ Top ] ### method _parsepngstream [line 1240]
`void _parsepngstream( $f, $file)`
#### Parameters:
| $f |
| $file |
[ Top ] ### method _putcatalog [line 1728]
`void _putcatalog( )`
[ Top ] ### method _putfonts [line 1525]
`void _putfonts( )`
[ Top ] ### method _putheader [line 1748]
`void _putheader( )`
[ Top ] ### method _putimage [line 1629]
`void _putimage( &$info)`
#### Parameters:
| &$info |
[ Top ] ### method _putimages [line 1619]
`void _putimages( )`
[ Top ] ### method _putinfo [line 1712]
`void _putinfo( )`
Overridden in child classes as: UFPDF::_putinfo() [ Top ] ### method _putpages [line 1452]
`void _putpages( )`
Overridden in child classes as: UFPDF::_putpages() [ Top ] ### method _putresourcedict [line 1687]
`void _putresourcedict( )`
[ Top ] ### method _putresources [line 1699]
`void _putresources( )`
[ Top ] ### method _putstream [line 1436]
`void _putstream( $s)`
#### Parameters:
| $s |
[ Top ] ### method _puttrailer [line 1753]
`void _puttrailer( )`
[ Top ] ### method _putxobjectdict [line 1681]
`void _putxobjectdict( )`
[ Top ] ### method _readint [line 1382]
`void _readint( $f)`
#### Parameters:
| $f |
[ Top ] ### method _readstream [line 1365]
`void _readstream( $f, $n)`
#### Parameters:
| $f |
| $n |
[ Top ] ### method _textstring [line 1162]
`void _textstring( $s)`
Overridden in child classes as: UFPDF::_textstring() #### Parameters:
| $s |
[ Top ] ### method _UTF8toUTF16 [line 1168]
`void _UTF8toUTF16( $s)`
#### Parameters:
| $s |
[ Top ] Documentation generated on Tue, 22 Nov 2011 16:29:41 +0100 by phpDocumentor 1.4.1